<?php
/**
* Header Banner Options.
*
* @package Omega Food Delivery
*/

$omega_food_delivery_default = omega_food_delivery_get_default_theme_options();
$omega_food_delivery_post_category_list = omega_food_delivery_post_category_list();

$wp_customize->add_section( 'header_banner_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'omega-food-delivery' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('omega_food_delivery_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_food_delivery_sanitize_checkbox',
));
$wp_customize->add_control('omega_food_delivery_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'omega-food-delivery'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('omega_food_delivery_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_food_delivery_sanitize_checkbox',
));
$wp_customize->add_control('omega_food_delivery_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'omega-food-delivery'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('omega_food_delivery_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_food_delivery_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_food_delivery_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'omega-food-delivery'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_food_delivery_header_slider',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_header_slider'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_food_delivery_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_food_delivery_header_slider',
    array(
        'label' => esc_html__('Enable Slider', 'omega-food-delivery'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'omega_food_delivery_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_food_delivery_sanitize_select',
    )
);
$wp_customize->add_control( 'omega_food_delivery_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Category', 'omega-food-delivery' ),
    'section'     => 'header_banner_setting',
    'type'        => 'select',
    'choices'     => $omega_food_delivery_post_category_list,
    )
);


// Gallery Setting

$wp_customize->add_section( 'product_column_setting',
    array(
    'title'      => esc_html__( 'Gallery Settings', 'omega-food-delivery' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('omega_food_delivery_locations_post',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_locations_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_food_delivery_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_food_delivery_locations_post',
    array(
        'label' => esc_html__('Enable Gallery Settings', 'omega-food-delivery'),
        'section' => 'product_column_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_left_image_1',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_left_image_1'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_left_image_1',
        array(
            'label' => __('Gallery Left Image 1','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_left_image_1',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_left_image_2',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_left_image_2'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_left_image_2',
        array(
            'label' => __('Gallery Left Image 2','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_left_image_2',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_left_image_3',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_left_image_3'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_left_image_3',
        array(
            'label' => __('Gallery Left Image 3','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_left_image_3',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_left_image_4',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_left_image_4'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_left_image_4',
        array(
            'label' => __('Gallery Left Image 4','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_left_image_4',
        )
    )
);

$wp_customize->add_setting( 'omega_food_delivery_galley_section_short_title',
    array(
    'default'           => $omega_food_delivery_default['omega_food_delivery_galley_section_short_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_food_delivery_galley_section_short_title',
    array(
    'label'    => esc_html__( 'Gallery Short Heading ', 'omega-food-delivery' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_food_delivery_gallery_section_title',
    array(
    'default'           => $omega_food_delivery_default['omega_food_delivery_gallery_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_food_delivery_gallery_section_title',
    array(
    'label'    => esc_html__( 'Gallery Heading ', 'omega-food-delivery' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_food_delivery_galley_section_short_content',
    array(
    'default'           => $omega_food_delivery_default['omega_food_delivery_galley_section_short_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_food_delivery_galley_section_short_content',
    array(
    'label'    => esc_html__( 'Gallery Content ', 'omega-food-delivery' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_food_delivery_gallery_section_button_text',
    array(
    'default'           => $omega_food_delivery_default['omega_food_delivery_gallery_section_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_food_delivery_gallery_section_button_text',
    array(
    'label'    => esc_html__( 'Gallery Button Text ', 'omega-food-delivery' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_food_delivery_galler_section_button_link',
    array(
    'default'           => $omega_food_delivery_default['omega_food_delivery_galler_section_button_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_food_delivery_galler_section_button_link',
    array(
    'label'    => esc_html__( 'Gallery Button Url ', 'omega-food-delivery' ),
    'section'  => 'product_column_setting',
    'type'     => 'url',
    )
);


$wp_customize->add_setting('omega_food_delivery_gallery_right_image_1',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_right_image_1'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_right_image_1',
        array(
            'label' => __('Gallery Right Image 1','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_right_image_1',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_right_image_2',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_right_image_2'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_right_image_2',
        array(
            'label' => __('Gallery Right Image 2','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_right_image_2',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_right_image_3',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_right_image_3'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_right_image_3',
        array(
            'label' => __('Gallery Right Image 3','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_right_image_3',
        )
    )
);

$wp_customize->add_setting('omega_food_delivery_gallery_right_image_4',
    array(
        'default' => $omega_food_delivery_default['omega_food_delivery_gallery_right_image_4'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_food_delivery_gallery_right_image_4',
        array(
            'label' => __('Gallery Right Image 4','omega-food-delivery'),
            'section' => 'product_column_setting',
            'settings' => 'omega_food_delivery_gallery_right_image_4',
        )
    )
);